Bug 972752 - "Status" displays product name multiple times when the system had inactive stack subscriptions
"Status" displays product name multiple times when the system had inactive st...
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carter Kozak
Katello QA List
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-06-10 10:10 EDT by Rehana
Modified: 2015-05-14 10:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:48:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rehana 2013-06-10 10:10:27 EDT
Description of problem:
While verfiying this bug https://bugzilla.redhat.com/show_bug.cgi?id=966069 observed that the subscription-manager status displayed products name multiple times

Version-Release number of selected component (if applicable):

[root@localhost ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.13-1
subscription-manager: 1.8.10-1.el5_9
python-rhsm: 1.8.12-1.el5_9

[root@rehana-candlepin candlepin]# git show-ref | grep master
fa4a5b2d43743be2c597e0d081173e505dbb6690 refs/heads/master
fa4a5b2d43743be2c597e0d081173e505dbb6690 refs/remotes/origin/master

How reproducible:

Steps to Reproduce:
1.Register (eg:having 4 sockets) client to candlepin
2.Attach stackable subscriptions to the product, which has present and future subscriptions

Actual results:
Observed that the product did not turn "Compliant" since the stack had future subscriptions
But observed that "status" listing the product name multiple times

[root@localhost product]# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Insufficient
 
Awesome OS for x86_64/Awesome OS for x86_64/Awesome OS for x86_64: <==
- Only covers 2 of 4 sockets.

Expected results:
Product name should be listed only once
Comment 1 Carter Kozak 2013-06-10 12:49:34 EDT
commit 4c7d3a0704a9182f16bd24987d4aff67f3d04237
Author: ckozak <ckozak@redhat.com>
Date:   Mon Jun 10 10:08:59 2013 -0400

    972752: Correct stacked marketing names
Comment 2 Carter Kozak 2013-06-10 12:50:12 EDT
commit 4c7d3a0704a9182f16bd24987d4aff67f3d04237
Author: ckozak <ckozak@redhat.com>
Date:   Mon Jun 10 10:08:59 2013 -0400

    972752: Correct stacked marketing names
Comment 3 Rehana 2013-07-15 02:23:33 EDT
retested on 
[root@localhost product]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.17-1
subscription-manager: 1.8.13-1.el5_9
python-rhsm: 1.8.13-1.el5_9

1)
[root@localhost ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS Instance Server Bits
Product ID:     32060
Version:        6.1
Arch:           ALL
Status:         Not Subscribed
Status Details: Not covered by a valid subscription.
Starts:         
Ends:           

Product Name:   Awesome OS for x86_64 Bits
Product ID:     100000000000002
Version:        3.11
Arch:           x86_64
Status:         Not Subscribed
Status Details: Not covered by a valid subscription.
Starts:         
Ends:           

2) currently available list of subscription:
[root@localhost ~]# subscription-manager list --available --all | grep -A9 "Awesome OS for x86_64"
Subscription Name: Awesome OS for x86_64
SKU:               awesomeos-x86_64
Pool ID:           8ac6a3f83fe0c4aa013fe0c5ce81077d
Quantity:          5
Service Level:     
Service Type:      
Multi-Entitlement: Yes
Ends:              07/15/2014
System Type:       Physical

Subscription Name: Awesome OS for x86_64
SKU:               awesomeos-x86_64
Pool ID:           8ac6a3f83fe0c4aa013fe0c5ce680772
Quantity:          10
Service Level:     
Service Type:      
Multi-Entitlement: Yes
Ends:              07/15/2014
System Type:       Physical

3) attach current subscription:
[root@localhost ~]# subscription-manager attach --pool 8ac6a3f83fe0c4aa013fe0c5ce81077d --quantity=2

Successfully attached a subscription for: Awesome OS for x86_64
[root@localhost ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS Instance Server Bits
Product ID:     32060
Version:        6.1
Arch:           ALL
Status:         Not Subscribed
Status Details: Not covered by a valid subscription.
Starts:         
Ends:           

Product Name:   Awesome OS for x86_64 Bits
Product ID:     100000000000002
Version:        3.11
Arch:           x86_64
Status:         Partially Subscribed
Status Details: Only covers 2 of 4 sockets.
Starts:         
Ends:

4) list of future subscription
[root@localhost facts]# subscription-manager list --available --ondate=2015-06-1
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS Instance Based (Standard Support)
SKU:               awesomeos-instancebased
Pool ID:           8ac6a3f83fe0c4aa013fe0c5d03d0815
Quantity:          30
Service Level:     Standard
Service Type:      L1-L3
Multi-Entitlement: Yes
Ends:              07/05/2015
System Type:       Physical

Subscription Name: Awesome OS for x86_64
SKU:               awesomeos-x86_64
Pool ID:           8ac6a3f83fe0c4aa013fe0c5ce550767
Quantity:          15
Service Level:     
Service Type:      
Multi-Entitlement: Yes
Ends:              07/05/2015
System Type:       Physical

[root@localhost facts]# subscription-manager attach --pool 8ac6a3f83fe0c4aa013fe0c5ce550767 --quantity=2
Successfully attached a subscription for: Awesome OS for x86_64

[root@localhost facts]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          78
Account:           12331131231
Serial:            4715425585187751129
Pool ID:           8ac6a3f83fe0c4aa013fe0c5ce81077d
Active:            True
Quantity Used:     2
Service Level:     
Service Type:      
Status Details:    Only covers 2 of 4 sockets.
Starts:            07/15/2013
Ends:              07/15/2014

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          79
Account:           12331131231
Serial:            1275835166483074310
Pool ID:           8ac6a3f83fe0c4aa013fe0c5ce550767
Active:            False
Quantity Used:     2
Service Level:     
Service Type:      
Status Details:    
Starts:            07/05/2014
Ends:              07/05/2015

[root@localhost facts]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Awesome OS Instance Server Bits
Product ID:     32060
Version:        6.1
Arch:           ALL
Status:         Not Subscribed
Status Details: Not covered by a valid subscription.
Starts:         
Ends:           

Product Name:   Awesome OS for x86_64 Bits
Product ID:     100000000000002
Version:        3.11
Arch:           x86_64
Status:         Partially Subscribed
Status Details: Only covers 2 of 4 sockets.
Starts:         
Ends:    
[root@localhost facts]# subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Invalid

Awesome OS for x86_64:   ----->product name displayed only once.
- Only covers 2 of 4 sockets.

Awesome OS Instance Server Bits:
- Not covered by a valid subscription.

Observed that the product name displayed only once, hence moving this bug to verified

Note You need to log in before you can comment on or make changes to this bug.